%define alsa_version 1.0.4
%define kernel_rel   2.4.26_32.pp

Summary:     Advanced Linux Sound Architecture (ALSA) Kernel Drivers
Name:        alsa-driver
Version:     %{alsa_version}
Release:     %{kernel_rel}
License:     GPL
Group:       System Environment/Kernel
Source0:     ftp://ftp.alsa-project.org/pub/driver/%{name}-%{version}.tar.bz2
URL:         http://www.alsa-project.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      ALSA
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    kernel >= 2.4 kernel.pp
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/depmod
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: kernel >= 2.4 kernel.pp kernel-source >= 2.4
ExclusiveOS: linux


%description
The Advanced Linux Sound Architecture is composed of several parts.
The first is a fully modularized sound driver which supports module
autoloading, devfs, isapnp autoconfiguration, and gives complete
access to analog audio, digital audio, control, mixer, synthesizer,
DSP, MIDI, and timer components of audio hardware. It also includes
a fully-featured kernel-level sequencer, a full compatibility layer
for OSS/Free applications, an object-oriented C library which covers
and enhances the ALSA kernel driver functionality for applications
(client/server, plugins, PCM sharing/multiplexing, PCM metering,
etc.), an interactive configuration program for the driver, and some
simple utilities for basic management.

This package contains the kernel driver modules.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr                    \
	--sysconfdir=/etc                \
	--localstatedir=/var             \
	--mandir=/usr/share/man          \
	--with-kernel=/usr/src/linux-2.4 \
	--with-isapnp=no                 \
	--with-sequencer=yes             \
	--with-oss=yes                   \
	--with-cards=all
echo "// empty workqueue.h" > include/linux/workqueue.h
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/include/sound
make DESTDIR=$RPM_BUILD_ROOT install


%post
/sbin/depmod -a -q
/sbin/chkconfig --add alsasound
/sbin/chkconfig alsasound on
if [ -f /var/lock/subsys/alsasound ]; then
   /etc/rc.d/init.d/alsasound restart
fi


%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig alsasound off
   /sbin/chkconfig --del alsasound
   if [ -f /var/lock/subsys/alsasound ]; then
      /etc/rc.d/init.d/alsasound stop
   fi
fi


%postun
/sbin/depmod -a -q


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc CARDS-STATUS COPYING FAQ INSTALL README TODO WARNING snddevices
%doc %dir doc
/etc/rc.d/init.d/*
/lib/modules/*/kernel/*
/usr/include/*


%changelog
* Wed Jul 21 2004 peter.pramberger@member.fsf.org
- new kernel 2.4.26-32

* Sun May 02 2004 peter.pramberger@member.fsf.org
- created

